openapi: 3.1.0
info:
  title: URL Content Scraper
  description: Scraping the content (text) of any PDF file from URL.
  version: v1.0.0
servers:
  - url: https://api.chat.buxo.ca
paths:
  /api/scraper/pdf:
    post:
      operationId: ScrapPDFURLContent
      description: Scraping PDF content from a given URL.
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                url:
                  type: string
                  description: The PDF URL to scrap content from.
              required:
                - url
      responses:
        '200':
          description: PDF Content scraped successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  content:
                    type: string
                    description: The scraped PDF content.
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
